> ## Documentation Index
> Fetch the complete documentation index at: https://manual.kotanipay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Fiat Wallet

> This endpoint will create a fiat wallet for the integrator.

Create a new fiat wallet for a specific currency. Each integrator can have multiple fiat wallets for different currencies.


## OpenAPI

````yaml POST /api/v3/wallet/fiat
openapi: 3.0.0
info:
  title: KOTANI PAY API PLATFORM
  description: ''
  version: '3.0'
  contact: {}
servers:
  - url: https://preview.kotanipay.com
security: []
tags: []
paths:
  /api/v3/wallet/fiat:
    post:
      tags:
        - FIAT WALLET
      summary: Create a Fiat Wallet
      description: This endpoint will create a fiat wallet for the integrator.
      operationId: FiatWalletController_createFiatWallet_api/v3
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateFiatWalletDto'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                properties:
                  success:
                    type: boolean
                    example: true
                  message:
                    type: string
                    example: Fiat wallet has been successfully created.
                  data:
                    $ref: '#/components/schemas/FiatWalletResponseDto'
                    type: object
        '400':
          description: ''
          content:
            application/json:
              schema:
                properties:
                  success:
                    type: boolean
                    example: false
                  message:
                    type: string
                    example: Bad Request
                  data:
                    type: object
                    example: {}
        '401':
          description: ''
          content:
            application/json:
              schema:
                properties:
                  success:
                    type: boolean
                    example: false
                  message:
                    type: string
                    example: Unauthorized
                  data:
                    type: object
                    example: {}
      security:
        - JWT: []
components:
  schemas:
    CreateFiatWalletDto:
      type: object
      properties:
        name:
          type: string
          description: The name of the wallet
          example: My Wallet
        currency:
          description: The currency of the wallet
          example: eg NGN or GHS or KES
          allOf:
            - $ref: '#/components/schemas/Currency'
        country:
          type: string
          description: >-
            The country where the wallet will be used (accepts both ISO-2 and
            ISO-3 codes)
          example: GH or GHA for Ghana
      required:
        - name
        - currency
    FiatWalletResponseDto:
      type: object
      properties:
        name:
          type: string
          description: The name of the wallet
          example: My Wallet
        type:
          description: Select wallet type
          example: eg crypto or fiat
          allOf:
            - $ref: '#/components/schemas/WalletType'
        currency:
          description: The currency of the wallet
          example: eg NGN or GHS or KES
          allOf:
            - $ref: '#/components/schemas/Currency'
        country:
          type: string
          description: >-
            The country where the wallet will be used (accepts both ISO-2 and
            ISO-3 codes)
          example: GH or GHA for Ghana
        integrator:
          type: string
          description: The integrator of the wallet
          example: 4440cb6a-f7c7-11ed-b67e-0242ac120002
        status:
          description: The status of the wallet
          example: eg active or inactive
          allOf:
            - $ref: '#/components/schemas/WalletStatus'
        id:
          type: string
          description: The id of the wallet
          example: f053188c-d924-4423-bbba-871eda0b1cd9
        balance:
          type: number
          description: The amount of the wallet
          example: 1000
        deposit_balance:
          type: number
          description: Amount of the wallet that has been deposited so far
          example: 1000
      required:
        - name
        - type
        - currency
        - integrator
        - id
        - balance
        - deposit_balance
    Currency:
      type: string
      enum:
        - KES
        - GHS
        - NGN
        - ZAR
        - ZAR
        - USD
        - XOF
        - ZMW
        - XAF
        - SLE
        - CDF
        - TZS
        - UGX
        - EGP
        - MWK
        - RWF
        - ETB
        - MZN
        - LSL
        - GNF
        - USDT
        - BTC
        - ETH
        - USDC
      description: From currency
    WalletType:
      type: string
      enum:
        - crypto
        - fiat
      description: Select wallet type
    WalletStatus:
      type: string
      enum:
        - active
        - inactive
        - suspended
        - deleted
      description: The status of the wallet
  securitySchemes:
    JWT:
      scheme: bearer
      bearerFormat: JWT
      type: http

````